package domain


type AlibabaWdkItemPriceUpdateResult struct {
    /*
        success     */
    Success  *bool `json:"success,omitempty" `

    /*
        errorCode     */
    ErrorCode  *string `json:"error_code,omitempty" `

    /*
        errorDesc     */
    ErrorDesc  *string `json:"error_desc,omitempty" `

}

func (s *AlibabaWdkItemPriceUpdateResult) SetSuccess(v bool) *AlibabaWdkItemPriceUpdateResult {
    s.Success = &v
    return s
}
func (s *AlibabaWdkItemPriceUpdateResult) SetErrorCode(v string) *AlibabaWdkItemPriceUpdateResult {
    s.ErrorCode = &v
    return s
}
func (s *AlibabaWdkItemPriceUpdateResult) SetErrorDesc(v string) *AlibabaWdkItemPriceUpdateResult {
    s.ErrorDesc = &v
    return s
}
